Calendar occurrences for vehicles within a date range.
- Get transport equipment trips and calendar events by datetime range
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/transportEquipment/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/transportEquipment/{id}
- Productionhttps://api.otms.transportial.com/api/transportEquipment/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/transportEquipment/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "transportEquipment": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "transportEquipment", "name": "string", "description": "string", "remark": "string", "barCode": "string", "quantity": 0, "weight": { … }, "grossWeight": { … }, "maxStackableWeight": { … }, "width": { … }, "height": { … }, "length": { … }, "loadMeters": { … }, "documents": [ … ], "actors": [ … ], "actions": [ … ], "constraints": [ … ], "identifiers": [ … ], "attributes": [ … ], "stackObjectMetrics": { … }, "isStackObjectMetricsUpdated": true, "loadWidth": { … }, "loadHeight": { … }, "loadLength": { … }, "maxWeight": { … }, "loadLoadMeters": { … }, "axles": [ … ], "containedGoods": [ … ], "equipmentType": "string", "equipmentSubType": "string", "licensePlate": "string", "vin": "string", "equipmentId": "string", "seal": "string", "requirementCodes": [ … ], "adr": { … }, "sensors": [ … ], "boardComputers": [ … ], "latestLocation": { … }, "business": {}, "operational": true, "internal": true, "trip": { … }, "capacityContract": { … }, "pricingModules": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/transportEquipment/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/transportEquipment/{id}
- Productionhttps://api.otms.transportial.com/api/transportEquipment/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/transportEquipment/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "transportEquipment": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "transportEquipment", "name": "string", "description": "string", "remark": "string", "barCode": "string", "quantity": 0, "weight": { … }, "grossWeight": { … }, "maxStackableWeight": { … }, "width": { … }, "height": { … }, "length": { … }, "loadMeters": { … }, "documents": [ … ], "actors": [ … ], "actions": [ … ], "constraints": [ … ], "identifiers": [ … ], "attributes": [ … ], "stackObjectMetrics": { … }, "isStackObjectMetricsUpdated": true, "loadWidth": { … }, "loadHeight": { … }, "loadLength": { … }, "maxWeight": { … }, "loadLoadMeters": { … }, "axles": [ … ], "containedGoods": [ … ], "equipmentType": "string", "equipmentSubType": "string", "licensePlate": "string", "vin": "string", "equipmentId": "string", "seal": "string", "requirementCodes": [ … ], "adr": { … }, "sensors": [ … ], "boardComputers": [ … ], "latestLocation": { … }, "business": {}, "operational": true, "internal": true, "trip": { … }, "capacityContract": { … }, "pricingModules": [ … ] } }
- Mock serverhttps://docs.transportial.com/_mock/apis/transportEquipments:extended/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/transportEquipments:extended/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/transportEquipments:extended/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/transportEquipments:extended/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "transportEquipments": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/transportEquipments:extended/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/transportEquipments:extended/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/transportEquipments:extended/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/transportEquipments:extended/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "transportEquipments": [ { … } ] }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
The subtype of equipment (EuroPallet/Dry van/Reefer Van/Lowbed/Backbone/Block pallet)
The container number of the transport order.Should be 11 characters.First 3 characters should be letters. 4th character should be U, J or Z and last 7 characters should be numbers.The format is in ISO 6346.
- Mock serverhttps://docs.transportial.com/_mock/apis/transportEquipment
- Test environmenthttps://test.api.otms.transportial.com/api/transportEquipment
- Productionhttps://api.otms.transportial.com/api/transportEquipment
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/transportEquipment \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "transportEquipment",
"name": "string",
"description": "string",
"remark": "string",
"barCode": "string",
"quantity": 0,
"weight": {
"value": "string",
"unit": "string"
},
"grossWeight": {
"value": "string",
"unit": "string"
},
"maxStackableWeight": {
"value": "string",
"unit": "string"
},
"width": {
"value": "string",
"unit": "string"
},
"height": {
"value": "string",
"unit": "string"
},
"length": {
"value": "string",
"unit": "string"
},
"loadMeters": {
"value": "string",
"unit": "string"
},
"documents": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"owner": {
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
}
}
],
"actors": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
]
}
],
"actions": [
{}
],
"constraints": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "accessConstraint",
"name": "string",
"enforceability": "enforced",
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"stackObjectMetrics": {
"totalMinimumGroundSpace": {
"value": "string",
"unit": "string"
},
"totalVolume": {
"value": "string",
"unit": "string"
},
"totalWeight": {
"value": "string",
"unit": "string"
},
"totalMinimumLoadMeters": {
"value": "string",
"unit": "string"
}
},
"isStackObjectMetricsUpdated": true,
"loadWidth": {
"value": "string",
"unit": "string"
},
"loadHeight": {
"value": "string",
"unit": "string"
},
"loadLength": {
"value": "string",
"unit": "string"
},
"maxWeight": {
"value": "string",
"unit": "string"
},
"loadLoadMeters": {
"value": "string",
"unit": "string"
},
"axles": [
{
"driveAxle": true,
"liftAxle": true,
"sequenceNr": 0,
"legalAllowedLoad": {
"value": "string",
"unit": "string"
},
"technicalAllowedLoad": {
"value": "string",
"unit": "string"
}
}
],
"containedGoods": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "transportEquipment",
"name": "string",
"description": "string",
"remark": "string",
"barCode": "string",
"quantity": 0,
"weight": {
"value": "string",
"unit": "string"
},
"grossWeight": {
"value": "string",
"unit": "string"
},
"maxStackableWeight": {
"value": "string",
"unit": "string"
},
"width": {
"value": "string",
"unit": "string"
},
"height": {
"value": "string",
"unit": "string"
},
"length": {
"value": "string",
"unit": "string"
},
"loadMeters": {
"value": "string",
"unit": "string"
},
"documents": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"owner": {
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
}
}
],
"actors": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
]
}
],
"actions": [
{}
],
"constraints": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "accessConstraint",
"name": "string",
"enforceability": "enforced",
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"stackObjectMetrics": {
"totalMinimumGroundSpace": {
"value": "string",
"unit": "string"
},
"totalVolume": {
"value": "string",
"unit": "string"
},
"totalWeight": {
"value": "string",
"unit": "string"
},
"totalMinimumLoadMeters": {
"value": "string",
"unit": "string"
}
},
"isStackObjectMetricsUpdated": true,
"adr": {
"UNNumber": "string",
"language": "string",
"description": "string",
"technicalName": "string",
"waste": true,
"environmentallyHazardous": true,
"class": "string",
"classificationCode": "string",
"packagingGroup": "string",
"dangerLabels": "string",
"dangerNUmber": "string",
"tunnelCode": "string"
},
"productType": "string",
"packagingMaterial": "string",
"hsCode": "string",
"recordsCode": "string",
"mrnCode": "string"
}
],
"equipmentType": "string",
"equipmentSubType": "string",
"licensePlate": "string",
"vin": "string",
"equipmentId": "string",
"seal": "string",
"requirementCodes": [
"string"
],
"adr": {
"UNNumber": "string",
"language": "string",
"description": "string",
"technicalName": "string",
"waste": true,
"environmentallyHazardous": true,
"class": "string",
"classificationCode": "string",
"packagingGroup": "string",
"dangerLabels": "string",
"dangerNUmber": "string",
"tunnelCode": "string"
},
"sensors": [
{
"associationType": "inline"
}
],
"boardComputers": [
{}
],
"business": {},
"operational": true,
"internal": true,
"trip": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "internal",
"tripNr": "string",
"remark": "string",
"route": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"time": 0,
"cost": 0,
"distance": 0,
"expenses": [
{
"nonce": "string",
"sequenceNr": 0,
"quantity": 0,
"name": "string",
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"business": {},
"amount": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"subTotal": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"tax": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
},
"total": {
"amount": 0.1,
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true
}
}
],
"additionalInfo": {
"property1": {},
"property2": {}
},
"lineString": "string",
"actors": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"user": {},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"contactDetails": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "iban",
"value": "string",
"remarks": "string"
}
]
}
],
"actions": [
{}
],
"constraints": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
},
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"stackMap": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"stackSnapshots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"availableCapacitors": [
{
"type": "vehicle",
"length": {},
"width": {},
"height": {},
"loadLength": {},
"loadWidth": {},
"loadHeight": {},
"referencedEntityID": "string",
"quantity": 0,
"startingInstanceNo": 0,
"excludedOccupantIDs": [
null
],
"previousStackPlan": {
"occupantsIDToQuantityMap": {},
"instancesStackPlan": []
}
}
],
"stackedOccupants": [
{
"type": "goods",
"length": {},
"width": {},
"height": {},
"maxStackableWeight": {},
"referencedEntityID": "string",
"quantity": 0,
"startingInstanceNo": 0,
"specifiedCapacitorID": "string"
}
],
"unstackedOccupants": [
{
"type": "goods",
"length": {},
"width": {},
"height": {},
"maxStackableWeight": {},
"referencedEntityID": "string",
"quantity": 0,
"startingInstanceNo": 0,
"specifiedCapacitorID": "string"
}
],
"capacitorsStackPlan": [
{
"capacitorID": "string",
"totalInstances": 0,
"occupantsIDToQuantityMap": {},
"loadLength_Dx": 0.1,
"loadWidth_Dy": 0.1,
"loadHeight_Dz": 0.1,
"instancesStackPlan": [
null
]
}
],
"stopAction": {
"trip": {
"associationType": "inline",
"entity": {},
"description": "string"
}
}
}
]
},
"status": "draft",
"planStatus": "ok",
"routeStatus": "on_route",
"currentAction": {},
"transportMode": "maritime",
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {
"nonce": "string",
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
{
"language": {}
}
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {
"nonce": "string",
"name": "string",
"localName": "string",
"code": "string",
"iso3166": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"dateFormat": "string",
"measurementUnit": "metric"
},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
{}
]
},
"taxRates": [
{
"nonce": "string",
"sequenceNr": 0,
"name": "string",
"description": "string",
"taxRate": {
"identifiers": []
},
"filters": [
null
]
}
],
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
null
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
}
},
"integration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
{
"fields": [],
"filters": [],
"options": []
}
],
"allowedIps": [
"string"
],
"hasAuthentication": true,
"credentials": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"authenticationMethod": "apiKey",
"username": "string",
"password": "string",
"accessKey": "string",
"secretKey": "string",
"clientId": "string",
"clientSecret": "string",
"grantType": "string",
"scope": "string",
"apiKey": "string",
"bearer": "string",
"sshKey": {
"language": {},
"identifiers": [],
"contentMatrix": []
},
"sshTunnel": true,
"sshHost": "string",
"sshUsername": "string",
"sshPassword": "string",
"externalAttributes": {
"property1": {},
"property2": {}
},
"headers": {
"property1": {},
"property2": {}
},
"oauthUrl": "string",
"oAuthCache": "string",
"oAuthCacheCreationDate": "2019-08-24T14:15:22Z",
"openIdToken": "string",
"openIdRefreshToken": "string",
"openIdAccessToken": "string",
"openIdExpiration": "2019-08-24T14:15:22Z"
},
"otm": true,
"fields": [
{
"fields": [],
"filters": [],
"options": []
}
],
"filters": [
{
"filters": []
}
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
],
"query": {
"nonce": "string",
"fields": [
{}
],
"entityType": "action",
"joins": [
{}
],
"filters": [
{}
],
"groupBy": [
{}
],
"having": {
"name": "string",
"groupByAggregate": "count"
},
"sortFields": [
{}
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"documentSourceType": "ENTITY_PDF",
"documentType": "cmr",
"documentTemplateId": "string",
"fileUrl": "string",
"insightType": "string",
"reportParameters": {},
"entityIdSelector": "string",
"fileNameTemplate": "string"
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{
"language": {},
"content": "string",
"messageTemplate": "string",
"subject": "string"
}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{
"associationType": "inline"
}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"lat": 0.1,
"lon": 0.1,
"speed": {
"value": "string",
"unit": "string"
},
"heading": {
"value": "string",
"unit": "string"
},
"bearing": {
"value": "string",
"unit": "string"
},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{
"associationType": "inline"
}
],
"actors": [
{
"associationType": "inline"
}
],
"actions": [
{
"associationType": "inline"
}
],
"constraints": [
{}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
null
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{}
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"capacityUnits": 0,
"weekDay": "sunday",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"pricingModules": [
null
]
}
],
"timeSlots": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"date": "2019-08-24T14:15:22Z",
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"consignments": [
null
],
"route": {
"language": {},
"expenses": [],
"additionalInfo": {},
"actors": [],
"actions": [],
"constraints": [],
"identifiers": []
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"language": {},
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
},
"vehicle": {},
"linkedTrip": true,
"chauffeurs": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "driver",
"picture": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
"string"
]
]
},
"user": {},
"firstName": "string",
"lastName": "string",
"dateOfBirth": "2019-08-24",
"birthPlace": "string",
"nationality": "string",
"hoursPerMonth": 0.1,
"preferredVehicle": {},
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"language": {},
"validation": {},
"identifiers": []
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"filters": [],
"recipients": [],
"manualIntegration": {},
"documentAttachments": [],
"localizedTexts": [],
"userPermissionFilters": []
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{}
],
"quoteTermsAndConditions": [
{}
],
"transportOrderTermsAndConditions": [
{}
],
"identifiers": [
{
"language": {}
}
]
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"identifiers": []
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {
"language": {}
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[]
]
}
},
"integration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"language": {},
"parameters": [],
"allowedIps": [],
"fields": [],
"filters": []
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"filters": []
}
]
},
"messageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
null
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
null
],
"actors": [
null
],
"actions": [
null
],
"constraints": [
{}
],
"identifiers": [
null
],
"attributes": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"language": {},
"moneyBuildBlocks": []
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
null
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
null
],
"timeSlots": [
null
],
"identifiers": [
null
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"language": {},
"taxRates": [],
"filters": []
}
],
"identifiers": [
{
"language": {}
}
]
}
},
"adr": {
"hasADR": true,
"ADRNumber": "string",
"ADRValidFromDate": "2019-08-24",
"ADRExpirationDate": "2019-08-24",
"ADRFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"driverLicense": {
"hasDriverLicense": true,
"driverLicenseNumber": "string",
"driverLicenseValidFromDate": "2019-08-24",
"driverLicenseExpirationDate": "2019-08-24",
"driverLicenseObtainedOn": "2019-08-24",
"driverLicenseCountryOfIssue": "string",
"driverLicenseIssuingAuthority": "string",
"driverLicenseFiles": [
{
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
null
],
"bucket": {},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
}
]
},
"tachoCard": {
"cardId": "string",
"countryOfIssue": "string",
"renewalIndex": "string",
"replacementIndex": "string",
"startOfValidity": "2019-08-24T14:15:22Z",
"endOfValidity": "2019-08-24T14:15:22Z"
},
"operational": true,
"remainingRestingTimes": {
"workWeek": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"workWeekEndWithoutCompensation": "2019-08-24T14:15:22Z",
"nextMinimumWeeklyRestWithoutCompensation": 0,
"breakBelowMinimum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"previousDailyRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"remainingDrivingTimes": {
"daysOfReducedRest": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyAmplitude": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"drivingTimeBelowMaximum": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"dailyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfDrivingLongerThan9h": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"weeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"BIWeeklyDrivingTime": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
},
"daysOfConsecutiveDriving": {
"total": 0,
"maximum": 0,
"minimum": 0,
"remaining": 0
}
},
"upcomingRestingTimes": {
"week": 0,
"year": 0,
"upcomingRestingTime": 0
},
"languages": [
"string"
],
"notes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"author": {},
"name": "string",
"text": "string"
}
],
"boardComputers": [
{}
],
"lastActivity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "work",
"lifeCycle": "requested",
"chauffeur": {},
"vehicle": {},
"transportEquipments": [
{}
],
"trip": {},
"name": "string",
"description": "string",
"remarks": "string",
"kmsStart": 0,
"kmsEnd": 0,
"start": "2019-08-24T14:15:22Z",
"end": "2019-08-24T14:15:22Z",
"isFromTacho": true
},
"contactDetails": [
{
"associationType": "inline"
}
],
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"taxRates": [
{
"language": {},
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
]
}
],
"transportEquipments": [
{}
],
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{
"associationType": "inline"
}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string"
},
"lat": 0.1,
"lon": 0.1,
"speed": {
"value": "string",
"unit": "string"
},
"heading": {
"value": "string",
"unit": "string"
},
"bearing": {
"value": "string",
"unit": "string"
},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{
"associationType": "inline"
}
],
"actors": [
{
"associationType": "inline"
}
],
"actions": [
{
"associationType": "inline"
}
],
"constraints": [
{}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"attributes": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"color": "string"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"taxRate": {
"nonce": "string",
"creditCode": "string",
"debitCode": "string",
"identifiers": [
{}
],
"name": "string",
"description": "string",
"jurisdiction": "string",
"percentage": 0.1,
"inclusive": true,
"active": true
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
{
"amount": 0.1,
"relationship": {}
}
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"contextEvents": [
{}
],
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"actors": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {
"associationType": "inline"
},
"content": {
"contentType": "data",
"data": "string"
},
"file": {
"nonce": "string",
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{}
],
"bucket": {
"nonce": "string",
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string"
},
"identifiers": [
{
"nonce": "string",
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"actions": [
{}
],
"constraints": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"name": "string",
"enforceability": "enforced",
"type": "accessConstraint",
"description": "string"
},
"description": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"businesses": [
{}
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"kmStart": 0,
"kmEnd": 0,
"booking": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "maritime",
"capacitySubType": "load",
"name": "string",
"bookingNumber": "string",
"externalReference": "string",
"transportOrder": {},
"capacityContract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"type": "permanentContract",
"communicationMethod": "messageAutomation",
"contract": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"title": "string",
"description": "string",
"deliveryTerms": "EXW",
"contractor": {},
"contractorSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"client": {},
"clientSignee": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
}
},
"business": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"startTime": "2019-08-24T14:15:22Z",
"endTime": "2019-08-24T14:15:22Z",
"selfBilling": true,
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"triggerType": "endOfWeek",
"pricingModules": [
{
"nonce": "string",
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"nonce": "string",
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true,
"identifiers": [
null
]
},
"taxRates": [
{
"filters": []
}
],
"filters": [
{
"filters": []
}
],
"oncePerInvoice": true
}
],
"lastHandledSelfBilling": "2019-08-24T14:15:22Z",
"signature": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"ip": "string",
"userAgent": "string",
"date": "2019-08-24T14:15:22Z",
"file": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"url": "string",
"path": "string",
"name": "string",
"originalName": "string",
"size": 0,
"purpose": "string",
"type": "IMAGE",
"mimeType": "string",
"extension": "string",
"identifiers": [
{
"language": {}
}
],
"bucket": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string"
},
"uploadedAt": "2019-08-24T14:15:22Z",
"tempFile": "string",
"contentMatrix": [
[
null
]
]
}
},
"integration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "manual",
"name": "string",
"description": "string",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"dataSources": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"directionType": "in",
"connectionType": "api",
"requestMethod": "get",
"dataType": "xml",
"entityType": "action",
"url": "string",
"port": 0,
"path": "string",
"token": "string",
"query": "string",
"parameters": [
null
],
"allowedIps": [
null
],
"hasAuthentication": true,
"credentials": {
"language": {},
"externalAttributes": {},
"headers": {}
},
"otm": true,
"fields": [
null
],
"filters": [
null
],
"template": true
}
],
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"filters": [
{
"selector": "string",
"comparisonType": "equal",
"value": "string",
"linkType": "and",
"filters": [
{}
],
"sequenceNr": 0,
"valueSelector": "string"
}
]
},
"messageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {
"integrationSchedulerScheduleValue": 0,
"integrationSchedulerScheduleType": "seconds",
"milliseconds": 0
},
"filters": [
{
"filters": []
}
],
"query": {
"nonce": "string",
"fields": [
null
],
"entityType": "action",
"joins": [
null
],
"filters": [
null
],
"groupBy": [
null
],
"having": {},
"sortFields": [
null
],
"sortDirection": "asc",
"limit": 0,
"offset": 0
},
"recipients": [
"string"
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
{
"reportParameters": {}
}
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
{}
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
{
"filters": []
}
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"consignments": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"consignmentNr": "string",
"description": "string",
"status": "draft",
"highValueGoods": true,
"goods": [
{}
],
"team": {},
"combined": true,
"consignment": {},
"originalPhysicalSender": {},
"originalLegalSender": {},
"originalPhysicalAddressee": {},
"originalLegalAddressee": {},
"currentLocation": {
"administrativeReference": {},
"lat": 0.1,
"lon": 0.1,
"speed": {},
"heading": {},
"bearing": {},
"bearingType": "absolute"
},
"nextAction": {},
"lastAction": {},
"lastPlannedAction": {},
"isPlannedToLastLocation": true,
"type": "string",
"remark": "string",
"documents": [
{}
],
"actors": [
{}
],
"actions": [
{}
],
"constraints": [
{}
],
"identifiers": [
{
"language": {}
}
],
"attributes": [
{
"language": {}
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"expectedRevenue": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"amount": 0.1,
"currency": {
"language": {}
},
"taxRate": {
"identifiers": []
},
"inclusiveOfTax": true,
"moneyBuildBlocks": [
null
]
},
"hasAgreedToPrice": true,
"versionNumber": 0,
"nextPlanFromAction": {}
}
],
"purchasedUnits": 0,
"capacity": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"business": {},
"schedule": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"description": "string",
"weekDays": [
"sunday"
],
"startDate": "2019-08-24T14:15:22Z",
"endDate": "2019-08-24T14:15:22Z",
"timeSlotTemplates": [
{
"language": {},
"platforms": [],
"pricingModules": []
}
],
"timeSlots": [
{
"language": {},
"platforms": [],
"consignments": []
}
],
"identifiers": [
{
"language": {}
}
]
},
"modality": "maritime",
"subType": "load",
"capacityPerUnit": {
"value": "string",
"unit": "string"
},
"totalUnits": 0,
"availableCapacity": {
"value": "string",
"unit": "string"
},
"totalCapacity": {
"value": "string",
"unit": "string"
},
"pricingModules": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "fixed",
"name": "string",
"sequenceNr": 0,
"description": "string",
"category": {
"language": {}
},
"taxRates": [
null
],
"filters": [
null
],
"oncePerInvoice": true,
"targetEntityType": "fleetVehicle",
"amount": 0.1
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
}
},
"quote": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"year": 0,
"number": 0,
"name": "string",
"description": "string",
"status": "concept",
"direction": "in",
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"declinedReason": "string",
"lines": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"optional": true,
"quantity": 0.1,
"description": "string",
"startDateTime": "2019-08-24T14:15:22Z",
"endDateTime": "2019-08-24T14:15:22Z",
"plan": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"interval": "endOfWeek",
"intervalCount": 0,
"trialPeriodDays": 0,
"usageElementTypePrices": {
"property1": [],
"property2": []
},
"identifiers": [
null
],
"startedAt": "2019-08-24T14:15:22Z",
"expiredAt": "2019-08-24T14:15:22Z",
"primary": true
},
"subscription": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"plans": [
null
]
},
"pricingCategory": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"entityId": "string",
"entityType": "action"
}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"creator": {},
"dueAt": "2019-08-24T14:15:22Z",
"transportOrder": {},
"invoices": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"language": {}
},
"bankAccounts": [
null
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceSecondReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceThirdReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoicePaidMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"quoteSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceTermsAndConditions": [
null
],
"quoteTermsAndConditions": [
null
],
"transportOrderTermsAndConditions": [
null
],
"identifiers": [
null
]
},
"name": "string",
"description": "string",
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"cancelledReason": "string",
"lines": [
{
"language": {}
}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"creator": {},
"dueAt": "2019-08-24T14:15:22Z",
"nextReminderDate": "2019-08-24T14:15:22Z",
"transactions": [
{
"creator": {},
"fromUser": {},
"fromBusiness": {},
"toUser": {},
"toBusiness": {},
"parent": {},
"identifiers": []
}
],
"documents": [
{}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
},
"billing": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"plan": {
"language": {},
"usageElementTypePrices": {},
"identifiers": []
},
"companyName": "string",
"vat": "string",
"email": "string",
"administrativeReference": {},
"customerId": "string",
"intentId": "string",
"lastBilled": "2019-08-24T14:15:22Z",
"lastUsageEventsRun": "2019-08-24T14:15:22Z",
"approvedBillingElementTypes": [
null
]
}
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"documents": [
{
"associationType": "inline",
"entity": {
"nonce": "string",
"description": "string",
"expiresAt": "2019-08-24T14:15:22Z",
"fileName": "string",
"mimeType": "string",
"encoding": "string",
"verified": true,
"isPublic": true,
"owner": {},
"content": {},
"file": {
"identifiers": []
},
"identifiers": [
null
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"name": "string"
}
}
],
"shareSettings": {
"isOpen": true,
"shareCode": "string",
"validUntil": "2019-08-24T14:15:22Z"
}
},
"invoice": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"bankAccounts": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"accountHolderName": "string",
"accountHolderType": "string",
"bankName": "string",
"routingNumber": "string",
"accountNumber": "string",
"last4": "string",
"currency": {},
"country": "string",
"validation": {},
"validated": true,
"identifiers": [
null
]
}
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {
"property1": 0,
"property2": 0
},
"quoteNumberIndex": {
"property1": 0,
"property2": 0
},
"invoiceSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceSecondReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceThirdReminderMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoicePaidMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"quoteSendMessageAutomation": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "messageAutomation",
"name": "string",
"description": "string",
"automationConfig": {
"triggerType": "trigger",
"triggerEvent": "afterCreatingTrip",
"schedule": {},
"uniqueIdentifierSelector": "string",
"uniqueIdentifierSchedule": {},
"filters": [
null
],
"query": {
"fields": [],
"joins": [],
"filters": [],
"groupBy": [],
"sortFields": []
},
"recipients": [
null
],
"recipientSelector": "string",
"toggleForAll": true,
"channel": "email",
"manualIntegration": {},
"includeAttachments": true,
"documentAttachments": [
null
],
"subject": "string",
"currentTriggerPosition": 0,
"localizedTexts": [
null
],
"defaultLanguageId": "string",
"languageSelector": "string",
"userEnableable": true,
"userPermissionFilters": [
null
]
},
"messageAutomationIntegration": {},
"enabled": true,
"lastHandled": "2019-08-24T14:15:22Z",
"template": true,
"templateCategory": "string"
},
"invoiceTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"quoteTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"transportOrderTermsAndConditions": [
{
"language": {},
"text": "string"
}
],
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
]
},
"name": "string",
"description": "string",
"reference": "string",
"paymentReference": "string",
"status": "concept",
"reminderCount": 0,
"direction": "in",
"currency": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"short": "string",
"sign": "string",
"decimalDelimiter": "string",
"thousandDelimiter": "string",
"enabled": true
},
"cancelledReason": "string",
"lines": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"quantity": 0.1,
"description": "string",
"startDateTime": "2019-08-24T14:15:22Z",
"endDateTime": "2019-08-24T14:15:22Z",
"plan": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"interval": "endOfWeek",
"intervalCount": 0,
"trialPeriodDays": 0,
"usageElementTypePrices": {
"property1": [],
"property2": []
},
"identifiers": [
null
],
"startedAt": "2019-08-24T14:15:22Z",
"expiredAt": "2019-08-24T14:15:22Z",
"primary": true
},
"subscription": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"description": "string",
"plans": [
null
]
},
"entityId": "string",
"entityType": "action",
"quoteLine": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"sequenceNr": 0,
"optional": true,
"quantity": 0.1,
"description": "string",
"startDateTime": "2019-08-24T14:15:22Z",
"endDateTime": "2019-08-24T14:15:22Z",
"plan": {
"language": {},
"usageElementTypePrices": {},
"identifiers": []
},
"subscription": {
"language": {},
"plans": []
},
"pricingCategory": {
"language": {}
},
"entityId": "string",
"entityType": "action"
},
"pricingCategory": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"creditCode": "string",
"debitCode": "string",
"defaultValue": 0.1,
"enabled": true,
"tripRevenue": true
},
"distinctPerInvoiceId": "string"
}
],
"subjectBusiness": {},
"targetBusiness": {},
"contactPerson": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"firstName": "string",
"lastName": "string",
"position": "string",
"email": "string",
"phone": "string",
"mobilePhone": "string"
},
"creator": {},
"dueAt": "2019-08-24T14:15:22Z",
"nextReminderDate": "2019-08-24T14:15:22Z",
"transactions": [
{
"nonce": "string",
"administration": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"primary": true,
"transportOrderPrefix": "string",
"consignmentPrefix": "string",
"business": {},
"currency": {
"language": {}
},
"bankAccounts": [
null
],
"numberFormat": "string",
"numberLength": 0,
"dueDays": 0,
"invoiceNumberIndex": {},
"quoteNumberIndex": {},
"invoiceSendMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"automaticallySendReminders": true,
"invoiceFirstReminderMessageAutomation": {
"language": {},
"messageAutomationIntegration": {}
},
"invoiceSecondReminderMessageAutomation": {
[...]
